/************

Fonts

************/
@font-face {
  font-family: 'Futura Today Light';
  src: url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_light.eot') format('eot');
  src: url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_light.woff') format('woff'), url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_light.ttf') format('truetype'), url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_light.svg') format('svg');
  font-weight: 100; }

@font-face {
  font-family: 'Futura Today Normal';
  src: url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_normal.eot') format('eot');
  src: url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_normal.woff') format('woff'), url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_normal.ttf') format('truetype');
  font-weight: 300; }

@font-face {
  font-family: 'Futura Today Demibold';
  src: url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_demibold.eot') format('eot');
  src: url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_demibold.woff') format('woff'), url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_demibold.ttf') format('truetype');
  font-weight: 500; }

@font-face {
  font-family: 'Futura Today Bold';
  src: url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_bold.eot') format('eot');
  src: url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_bold.woff') format('woff'), url('http://www.gannett-cdn.com/GDContent/global/fonts/futura_today_bold.ttf') format('truetype');
  font-weight: 700; }

/************

Colors

************/
/************

Shadow

************/
* {
  /* Firefox 1, probably can drop this */
  /* Safari 3-4, also probably droppable */
  box-sizing: border-box;
  /* Everything else */ }

div {
  border: 0;
  padding: 0;
  margin: 0; }

html {
  font-size: 100%; }
  @media (max-width: 400px) {
    html {
      font-size: 80%; } }

header * {
  box-sizing: content-box; }

h1, h2, h3, h4, h5, h6, div, p {
  margin: 0;
  padding: 0; }

div.non-article-content {
  padding: 0 !important; }

body, html, article {
  padding: 0;
  margin: 0;
  width: 100%; }

body {
  background: #E6E6E6; }
  body.embed {
    background: none; }

.group:after, .chart-labels:after, .category-bar:after, .report-card-header:after {
  content: "";
  display: table;
  clear: both; }

.iapp-clickable {
  cursor: pointer; }

/*******
remove top margin when we remove header
******/
.in-app article.padded-container, .in-app article.padded-container.first-margin, .in-app.has-notifications article.padded-container {
  margin-top: 0 !important; }

html {
  font-weight: normal;
  font-family: "Futura Today Normal", Arial,sans-serif; }

h1, h2, h3, h4, h5, h6 {
  font-family: "Futura Today Bold", Arial,sans-serif; }

.chatter {
  font-size: 1em;
  margin: 0 auto 2em auto;
  max-width: 30em; }

.page-header {
  font-size: 1.2em;
  margin: 0.5em 0;
  text-transform: uppercase; }
  @media (min-width: 1100px) {
    .page-header {
      font-size: 2em; } }

.detail-header {
  font-family: "Futura Today DemiBold", Arial,sans-serif; }

.info-text {
  max-width: 30em;
  margin: 0 auto; }

strong {
  font-family: "Futura Today Bold", Arial,sans-serif; }

.card {
  background-color: #FFFFFF;
  box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.15);
  margin: 0 auto 2em auto;
  padding: 2em;
  transition: -webkit-transform 800ms ease;
  transition: transform 800ms ease; }
  .card.active {
    -webkit-transform: translate(0, 0);
            transform: translate(0, 0);
    transition: -webkit-transform 800ms ease;
    transition: transform 800ms ease; }
  .card.next {
    -webkit-transform: translate(0, 2000px);
            transform: translate(0, 2000px);
    transition: -webkit-transform 800ms ease;
    transition: transform 800ms ease; }
  .card.previous {
    -webkit-transform: translate(0, -2000px);
            transform: translate(0, -2000px);
    transition: -webkit-transform 800ms ease;
    transition: transform 800ms ease; }
  @media (max-width: 800px) {
    .card {
      padding: 4em 2em; } }

.chart-labels {
  padding: 0 40px;
  margin-top: 2em;
  width: 100%; }

.chart-label {
  display: inline-block;
  float: left;
  font-family: "Futura Today Light", Arial, sans-serif;
  font-size: 2em;
  margin-right: 2%;
  text-align: center;
  width: 31%; }

.small-card {
  cursor: pointer;
  float: left;
  height: 150px;
  margin-bottom: 10px;
  margin-right: 10px;
  max-width: 100%;
  position: relative;
  text-align: center;
  transition: -webkit-transform 200ms ease;
  transition: transform 200ms ease;
  width: 350px; }
  .small-card:hover {
    -webkit-transform: translate(0, 5px);
            transform: translate(0, 5px);
    transition: -webkit-transform 200ms ease;
    transition: transform 200ms ease; }

.category-bar {
  font-family: "Futura Today Light", Arial, sans-serif;
  font-size: 12px;
  position: absolute;
  left: 0;
  text-align: left;
  text-transform: uppercase;
  top: 0;
  width: 100%; }

.category {
  color: white;
  display: inline-block;
  float: left;
  margin: 0;
  padding: 8px; }
  .category.Health {
    background-color: #9d29ba; }
  .category.Outbreak {
    background-color: #19a743; }
  .category.USA {
    background-color: #1B9CFA; }
  .category.Myth-buster {
    background-color: #1B9CFA; }

.close-card {
  background-image: url('../img/close-icon.svg');
  cursor: pointer;
  height: 2em;
  position: absolute;
  text-align: right;
  top: 1em;
  right: 1em;
  width: 2em; }
  .close-card span {
    clear: none;
    position: absolute;
    top: 0;
    right: 0; }

#social {
  bottom: 2em;
  position: absolute;
  right: 2em; }
  @media (max-width: 800px) {
    #social {
      position: static;
      float: right; } }

.social-icon {
  margin: 0;
  height: 40px;
  width: 40px; }

.social-link {
  float: left;
  margin: 0;
  padding: 0;
  height: 40px;
  width: 40px; }

.button {
  border: solid 1px #1B9CFA;
  border-radius: 5px;
  color: #1B9CFA;
  display: inline-block;
  margin: 0 auto;
  padding: 1em;
  text-align: center;
  text-transform: uppercase;
  transition: background-color .5s; }
  .button:hover {
    cursor: pointer; }

.action-button {
  background: #1B9CFA;
  color: white; }

.grid-map-wrap {
  background: white;
  border-top: solid 10px #1B9CFA;
  border-radius: 5px;
  color: #231F20;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  margin: 0 auto;
  max-width: 900px;
  padding: 1em;
  width: 100%; }

.embed .grid-map-wrap {
  box-shadow: none; }

.map {
  margin: 3em auto;
  width: 312px; }
  @media (min-width: 400px) {
    .map {
      width: 384px; } }
  @media (min-width: 500px) {
    .map {
      width: 492px; } }
  @media (min-width: 800px) {
    .map {
      width: 800px; } }

.map .row {
  height: 20px; }
  .map .row div {
    display: inline-block;
    height: 19px;
    letter-spacing: 0.07em;
    line-height: 19px;
    margin-right: 1px;
    margin-bottom: 1px;
    font-size: 10px;
    text-align: center;
    vertical-align: middle;
    width: 19px; }
  @media (min-width: 400px) {
    .map .row {
      height: 32px; }
      .map .row div {
        font-size: 12px;
        height: 31px;
        line-height: 31px;
        width: 31px; } }
  @media (min-width: 500px) {
    .map .row {
      height: 41px; }
      .map .row div {
        font-size: 14px;
        height: 40px;
        line-height: 40px;
        width: 40px; } }
  @media (min-width: 850px) {
    .map .row {
      height: 66px; }
      .map .row div {
        font-size: 16px;
        height: 65px;
        line-height: 65px;
        width: 65px; } }

.map .row div.state {
  background: #E5E5E5;
  color: white;
  cursor: pointer;
  font-family: "Futura Today DemiBold", Arial, sans-serif; }

.map .row div.state.grade-a {
  background: #19a743; }
.map .row div.state.grade-b {
  background: #1fc0bf; }
.map .row div.state.grade-c {
  background: #fbc124; }
.map .row div.state.grade-d {
  background: #FA6622; }
.map .row div.state.grade-f {
  background: #e62319; }

.map-chatter {
  margin: 1em 0; }
  .map-chatter a {
    color: #1B9CFA; }
    .map-chatter a:visited {
      color: #1B9CFA; }

.map-key {
  margin-top: 1em; }

.map-key-item {
  display: inline-block;
  margin-right: 1em; }

.map-key-label {
  font-family: "Futura Today Normal", Arial, sans-serif;
  margin-bottom: 1em; }

.map-key-square {
  background: #6D6E70;
  color: white;
  display: inline-block;
  font-size: 0.8em;
  padding: 0.5em;
  margin-right: -8px;
  margin-bottom: 5px; }
  .map-key-square-a {
    background: #19a743; }
  .map-key-square-b {
    background: #1fc0bf; }
  .map-key-square-c {
    background: #fbc124; }
  .map-key-square-d {
    background: #FA6622; }
  .map-key-square-f {
    background: #e62319; }

.project-source {
  color: #6D6E70;
  margin-top: 1em; }

.report-card {
  background: white;
  border-radius: 5px;
  border-top: solid 10px #1B9CFA;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  color: #231F20;
  margin: 0 auto;
  max-width: 900px;
  padding: 1em;
  width: 100%; }

.report-card-header {
  border-bottom: solid 1px #231F20;
  margin-bottom: 2em;
  margin-top: 1em;
  padding-bottom: 0.5em; }
  .report-card-header h2 {
    font-family: 'Futura Today DemiBold', arial, sans-serif;
    float: left;
    text-transform: uppercase; }
    @media (max-width: 400px) {
      .report-card-header h2 {
        font-size: 16px;
        float: none; } }

.report-card-table {
  display: table;
  margin-bottom: 2em; }

.label {
  background-color: #6D6E70;
  border-radius: 5px;
  color: white;
  font-family: 'Futura Today DemiBold', Arial, sans-serif;
  padding: 0.5em; }

.grade-label-a {
  background: #19a743; }
.grade-label-b {
  background: #1fc0bf; }
.grade-label-c {
  background: #fbc124; }
.grade-label-d {
  background: #FA6622; }
.grade-label-f {
  background: #e62319; }

.report-card-grade {
  font-size: 1.2em;
  float: right; }
  @media (max-width: 400px) {
    .report-card-grade {
      float: none;
      margin: 1em 0; } }

.report-card-row {
  display: table-row; }

.report-card-item {
  display: table-cell;
  padding-right: 2em;
  width: 50%;
  padding-bottom: 2em;
  padding-top: 2em;
  vertical-align: top; }
  @media (max-width: 400px) {
    .report-card-item {
      display: block;
      width: 100%; } }

.report-card-item-header {
  border-bottom: solid 1px #231F20;
  font-family: 'Futura Today DemiBold', arial, sans-serif;
  font-size: 1em;
  padding-bottom: 0.5em; }

.report-card-item-entry {
  margin-top: 1em; }

.report-card-item-level {
  background: #1B9CFA;
  border-radius: 5px;
  display: inline-block;
  height: 10px;
  margin-right: 10px;
  margin-top: 5px;
  width: 10px;
  vertical-align: top; }
  .report-card-item-level.green {
    background: #19a743; }
  .report-card-item-level.yellow {
    background: #fbc124; }
  .report-card-item-level.red {
    background: #e62319; }

.report-card-item-content {
  display: inline-block;
  width: calc(100% - 20px); }

.report-card .action-button {
  float: right; }

.iapp-party-select {
  margin: 2em auto;
  max-width: 100%;
  width: 320px; }

.state-select-wrap {
  border-radius: 5px;
  border: solid 1px #1B9CFA;
  color: #1B9CFA;
  display: inline-block;
  font-family: "Futura Today DemiBold" , Arial, sans-serif;
  margin-bottom: 1em;
  padding: 10px;
  position: relative;
  text-transform: uppercase; }

.state-select {
  bottom: 0;
  display: block;
  height: 40px;
  left: 0;
  opacity: 0;
  position: absolute;
  right: 0;
  top: 10px;
  width: 100%; }
  @media (max-width: 460px) {
    .state-select {
      font-size: 50px; } }


/*# sourceMappingURL=data:application/json;base64,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 */
